%global _hardened_build 1

Name: rtl_433
Version: 23.11
Release: 1%{?dist}
Summary: Application using librtlsdr to decode the temperature from a wireless temperature sensor
License: GPLv2
URL: https://github.com/merbanan/%{name}
Source0: %{url}/archive/refs/tags/%{version}.tar.gz
Source1: check_rtl433.py
BuildRequires: gcc cmake3 rtl-sdr-blog-devel openssl-devel
%if 0%{?fedora} > 38
BuildRequires: libusb1-devel
%endif
%if 0%{?rhel} >= 8
BuildRequires: libusb-devel
%endif
Requires: rtl-sdr-blog

%description
rtl_433 turns your Realtek RTL2832 based DVB dongle into a 433.92MHz generic
data receiver.


%package -n nagios-plugins-rtl433
Summary: Provides %{name} plugin for Nagios
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: jq


%description -n nagios-plugins-rtl433
Provides %{name} support for Nagios.


%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}


%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%prep
%setup -q
sed -i '/add_subdirectory.tests./d' CMakeLists.txt
mkdir build


%build
%{cmake3} .
%if 0%{?fedora} >= 33 || 0%{?rhel} >= 8
%{cmake_build}
%else
make %{?_smp_mflags}
%endif


%install
%if 0%{?fedora} >= 33 || 0%{?rhel} >= 8
%{cmake_install}
%else
%make_install
%endif
mv %{buildroot}/%{_prefix}/etc %{buildroot}
install -D -m0644 -p conf/rtl_433.example.conf \
    %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
install -D -m0755 -p %{SOURCE1} \
    %{buildroot}%{_libdir}/nagios/plugins/check_rtl433


%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.conf


%files -n nagios-plugins-rtl433
%{_libdir}/nagios/plugins/check_rtl433


%files devel
%{_includedir}/rtl_433.h
%{_includedir}/rtl_433_devices.h


%changelog
* Tue Nov 28 2023 Philippe Kueck <projects@unixadm.org> - 23.11-1
- bump upstream version

* Tue Feb 14 2023 Philippe Kueck <projects@unixadm.org> - 22.11-3
- check_rtl433: added switch to handle humidty of 99% as 0%

* Mon Dec  5 2022 Philippe Kueck <projects@unixadm.org> - 22.11-2
- check_rtl433: replaced bash script with python

* Mon Nov 21 2022 Philippe Kueck <projects@unixadm.org> - 22.11-1
- bump upstream version

* Tue Mar 15 2022 Philippe Kueck <projects@unixadm.org> - 21.12-1
- bump upstream version

* Wed Sep 29 2021 Philippe Kueck <projects@unixadm.org> - 21.05-1
- bump upstream version

* Wed Dec  9 2020 Philippe Kueck <projects@unixadm.org> - 20.11-1
- bump upstream version

* Fri Sep 21 2018 Philippe Kueck <projects@unixadm.org> - 0.1-9.a045a60
- update to master

* Tue Jul 31 2018 Philippe Kueck <projects@unixadm.org> - 0.1-8.a3a9a4c
- update to master
- check_rtl433: allow data to become stale after a specified time

* Mon Jul 23 2018 Philippe Kueck <projects@unixadm.org> - 0.1-7.3628c2a
- update to master
- check_rtl433: minor improvements

* Thu Dec  7 2017 Philippe Kueck <projects@unixadm.org> - 0.1-6.3a05846
- update to master
- check_rtl433: select by id and rid

* Tue Nov 14 2017 Philippe Kueck <projects@unixadm.org> - 0.1-5.1ffb86a
- update to master
- check_rtl433: also check for lower temperature mark

* Tue Oct 10 2017 Philippe Kueck <projects@unixadm.org> - 0.1-4.e3d2c2a
- use json for check_rtl433

* Thu Sep  7 2017 Philippe Kueck <projects@unixadm.org> - 0.1-2.c6e79a3
- update to master

* Fri Jul  7 2017 Philippe Kueck <projects@unixadm.org> - 0.1-1.6850e98
- initial packaging
